£1,179.41– £1,440.99
Compare 3 prices
D-Link · Network Switch
D-Link DSS-200G-28MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey price in United Kingdom
Model DSS-200G-28MPPMPN DSS-200G-28MPPEAN 790069471810
- Memory128 MB
- Noise54 dB
- Type1U
- Weight4.71 kg
Lowest price incl. delivery
£433.95
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £433.95 – £546.99
- Save up to £113.04 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £113.04 (21%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceD-Link DSS-200G-28MPP network switch Managed L2 Gigabit Ethernet (10/1 In stockFree shipping£433.95incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeD-Link DSS-200G-28MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey In stockFree shipping£546.99incl. free shipping+£113.04 (26%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukD-Link DSS-200G-28MPP network switch Managed L2 Gigabit Ethernet (10/1 In stockShipping not stated£433.95item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- D-Link
- Product
- DSS-200G-28MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey
- Full name
- D-Link DSS-200G-28MPP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey
- Manufacturer part number
- DSS-200G-28MPP
- EAN / UPC
- 790069471810
- Category
- Network Switch
71 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| Traffic classification | Yes |
| MIB support | • RFC768 UDP • RFC791 IP • RFC792 ICMP • RFC793 TCP • RFC826 ARP • RFC1213 MIB II • RFC1493 Bridage MIB • RFC1907 SNMPv2 MIB • RFC1215 MIB Traps Convention • RFC2233 Interface Group MIB • RFC2665 Ether-like MIB • RFC4363 IEEE 802.1p MIB • ZoneDefense MIB • Private MIB • RFC951 BootP client • RFC1542 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 24 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Combo SFP ports quantity | 4 |
Network
| Networking standards | IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3bt, IEEE 802.3u, IEEE 802.3x |
|---|---|
| Port mirroring | Yes |
| Full duplex | Yes |
| Half duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Auto-negotiation | Yes |
| Broadcast storm control | Yes |
| Ethernet LAN data rates | 1000 Mbit/s |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Voice VLAN |
| Number of VLANs | 4094 |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 56 Gbit/s |
| Forwarding rate | 41.67 Mpps |
| Number of queues | 4 |
| Jumbo frames support | Yes |
| Jumbo frames | 10240 |
| Packet buffer memory | 4.1 MB |
Security
| IGMP snooping | Yes |
|---|---|
| Password protection | Yes |
| Queue scheduling algorithms | Strict Priority Queue (SPQ), Weighted Round Robin (WRR) |
| SSH/SSL support | Yes |
Multicast features
| Multicast support | Yes |
|---|---|
| Multicast features | Controllable multicast |
Design
| Form factor | 1U |
|---|---|
| Product colour | Grey |
| Reset button | Yes |
| LED indicators | Activity, Alarm, Link, Power, Speed |
| Number of fans | 2 fan(s) |
Performance
| Memory type | DDR3-SDRAM |
|---|---|
| Internal memory | 128 MB |
| Flash memory | 32 MB |
| Noise level | 54 dB |
| Fanless | No |
| Mean time between failures (MTBF) | 289075 h |
Power
| Power source | AC |
|---|---|
| Power supply included | Yes |
| AC input voltage | 100 - 240 V |
| AC input frequency | 50/60 Hz |
| Input current | 6.4 A |
| Input voltage | 100 - 240 V |
| Power consumption (max) | 579.3 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 24 |
| Power over Ethernet (PoE) power per port | 30 W |
| Total Power over Ethernet (PoE) budget | 518 W |
Operational conditions
| Operating temperature (T-T) | -5 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 0 - 95% |
| Storage relative humidity (H-H) | 0 - 95% |
| Heat dissipation | 209.16 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 330 mm |
| Height | 44 mm |
| Weight | 4.71 kg |
Sustainability
| Sustainability compliance | Yes |
|---|
Certificates
| Compliance certificates | BSMI, CB, CE, Federal Communications Commission (FCC), Low Voltage Directive (LVD), UL, cUL |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






